NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.EdgeBlendBuilder Class Reference

Represents a Edge Blend builder. More...

Inheritance diagram for NXOpen.Features.EdgeBlendBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Conic { BoundaryPlusCenter, BoundaryPlusRho, CenterPlusRho }
 This enum represents the Conic option More...
 
enum  FaceContinuity { Tangent, Curvature }
 The Blend Face Continuity More...
 
enum  OrderOfBlending { ConvexFirst, ConcaveFirst }
 This enum represents the order of Blending More...
 
enum  Overlap { MaintainAndIntersect, DifferentConvexityRollOver, AnyConvexityRollOver }
 This enum represents the Overlap resolution options for Edge Blend More...
 
enum  Rhotype { Relative, Absolute }
 This enum represents the rho type for conic section blend More...
 
enum  Section { Circular, Conic }
 This enum represents the Section option More...
 
enum  Setback { IncludeWithCorner, SeparateFromCorner }
 This enum represents the Setback option More...
 

Public Member Functions

unsafe int AddChainset (NXOpen.ScCollector collector, string radius)
 Add an edge blend chainset to the edge blend More...
 
unsafe int AddChainset (NXOpen.ScCollector collector, NXOpen.Features.EdgeBlendBuilder.Section sectionType, NXOpen.Features.EdgeBlendBuilder.Conic conicMethod, NXOpen.Features.EdgeBlendBuilder.Rhotype rhoType, string radius, string center, string rho)
 Add an edge blend chainset to the edge blend More...
 
unsafe void AddEdgeChainData (NXOpen.Edge[] edgeArray, bool[] edgeAlongChainDirectionArray, bool isChainClosed, bool isChainPartOfNetwork)
 Add an edge blend edge chain data to the edge blend More...
 
unsafe int AddNewStopshortData (NXOpen.GeometricUtilities.BlendStopshortBuilder builder)
 Add an edge blend stop short data for an edge in the edge blend More...
 
unsafe void AddPointOnEdgeChainData (NXOpen.Edge[] edgeArray, double parameterOnChain, bool isArclength, double radius, double centerValue, double rhoValue, NXOpen.Point smartPoint, bool isExternal)
 Add a point on edge chain data to the edge blend More...
 
unsafe int AddSetbackData (NXOpen.Edge[] edgeArray, bool[] fromStart, string[] distance)
 Add an edge blend setback data for an edge in the edge blend More...
 
unsafe int AddStopshortData (NXOpen.Edge edge, bool fromStart, string distance)
 Add an edge blend stop short data for an edge in the edge blend More...
 
unsafe int AddVariablePointData (NXOpen.Edge edge, string parameter, string radius, string centerValue, string rhoValue, NXOpen.Point smartPoint, bool isExternal, bool isArclength)
 Add an edge blend variable radius data for an edge in the edge blend More...
 
unsafe int AddVariableRadiusData (NXOpen.Edge edge, double parameter, string radius, NXOpen.Point smartPoint, bool isExternal)
 Add an edge blend variable radius data for an edge in the edge blend More...
 
unsafe int AddVariableRadiusDataNew (NXOpen.Edge edge, string parameter, string radius, NXOpen.Point smartPoint, bool isExternal)
 Add an edge blend variable radius data for an edge in the edge blend * Note: This ja will always create arclength parameter More...
 
unsafe int AddVariableRadiusDataNew (NXOpen.Edge edge, string parameter, string radius, NXOpen.Point smartPoint, bool isExternal, bool isArclength)
 Add an edge blend variable radius data for an edge in the edge blend More...
 
unsafe void EditVariablePointData (NXOpen.Edge edge, int vrIndex, string parameter, string radius, string centerValue, string rhoValue, NXOpen.Point smartPoint, bool isExternal, bool isArclength)
 Edit an edge blend variable radius data for an edge in the edge blend More...
 
unsafe void EditVariableRadiusData (NXOpen.Edge edge, int vrIndex, double parameter, string radius, NXOpen.Point smartPoint, bool isExternal)
 Edit an edge blend variable radius data for an edge in the edge blend More...
 
unsafe void EditVariableRadiusDataNew (NXOpen.Edge edge, int vrIndex, string parameter, string radius, NXOpen.Point smartPoint, bool isExternal)
 Edit an edge blend variable radius data for an edge in the edge blend More...
 
unsafe void EditVariableRadiusDataNew (NXOpen.Edge edge, int vrIndex, string parameter, string radius, NXOpen.Point smartPoint, bool isExternal, bool isArclength)
 Edit an edge blend variable radius data for an edge in the edge blend More...
 
unsafe void GetChainset (int csIndex, out NXOpen.ScCollector collector, out NXOpen.Expression radius)
 Get collector and radius for an edge blend chainset given the index of the chainset More...
 
unsafe void GetChainsetAndSectionValue (int csIndex, out NXOpen.ScCollector collector, out NXOpen.Features.EdgeBlendBuilder.Section sectionType, out NXOpen.Features.EdgeBlendBuilder.Conic conicMethod, out NXOpen.Features.EdgeBlendBuilder.Rhotype rhoType, out NXOpen.Expression radius, out NXOpen.Expression centerValueTAG, out NXOpen.Expression rhoValueTAG)
 Get collector, radius and section types for an edge blend chainset given the index of the chainset More...
 
unsafe void GetChainsetAndStatus (int csIndex, out NXOpen.ScCollector collector, out NXOpen.Expression radius, out bool isValid)
 Get collector, radius and validity status for an edge blend chainset given the index of the chainset More...
 
unsafe int GetChainsetIndex (NXOpen.ScCollector collector)
 Get the index of edge blend chainset given the collector More...
 
unsafe
NXOpen.GeometricUtilities.BlendStopshortBuilder 
GetNewStopshortData (int ssIndex)
 Get an edge blend stop short data for the index provided More...
 
unsafe int GetNumberOfValidChainsets ()
 Get the number of valid chainsets More...
 
unsafe int GetNumberOfValidSetbackData ()
 Get the number of valid setback data More...
 
unsafe NXOpen.Edge[] GetSetbackData (int sbIndex, out bool[] fromStart, out NXOpen.Expression[] distanceExp)
 Get an edge blend setback data for the index provided More...
 
unsafe NXOpen.Expression GetStopshortData (int ssIndex, out NXOpen.Edge edge, out bool fromStart)
 Get an edge blend stop short data for the index provided More...
 
unsafe double[] GetVariableRadiusData (NXOpen.Edge edge, out NXOpen.Expression[] radiiExp, out NXOpen.Point[] smartPoints, out bool[] isExternalFlagArray)
 Get all the variable radii data for an edge in the edge blend More...
 
unsafe void GetVariableRadiusDataNew (NXOpen.Edge edge, out NXOpen.Expression[] parameterExp, out NXOpen.Expression[] radiiExp, out NXOpen.Point[] smartPoints, out bool[] isExternalFlagArray)
 Get all the variable radii data for an edge in the edge blend More...
 
unsafe void RemoveChainset (int csIndex)
 Delete an edge blend chainset from the edge blend. More...
 
unsafe void RemoveChainsetByCollector (NXOpen.ScCollector collector)
 Delete an edge blend chainset from the edge blend. More...
 
unsafe void RemoveEdgeChainAndPointOnEdgeChainData ()
 Remove all existing edge chain data and point on edge chain data More...
 
unsafe void RemoveNewStopshortData (NXOpen.GeometricUtilities.BlendStopshortBuilder builder)
 Remove an edge blend stop short corresponding to a BlendStopshortBuilder More...
 
unsafe void RemoveSetbackData (int sbIndex)
 Remove an edge blend setback data for an edge in the edge blend More...
 
unsafe void RemoveStopshortData (NXOpen.Edge edge, bool fromStart)
 Remove an edge blend stop short data for an edge More...
 
unsafe void RemoveStopshortData (int ssIndex)
 Remove an edge blend stop short data for the index indicated More...
 
unsafe void RemoveStopshortDataByType (NXOpen.Edge edge, bool fromStart, NXOpen.GeometricUtilities.BlendStopshortBuilder.Choices type)
 Remove the stop short from an edge, given its type and location More...
 
unsafe void RemoveVariableRadiusData (NXOpen.Edge edge, double parameter)
 Remove variable radius data on an edge by the parameter value of the point on the edge More...
 
unsafe void RemoveVariableRadiusData (NXOpen.Edge edge)
 Remove all variable radius datas on an edge More...
 
unsafe void RemoveVariableRadiusDataByIndex (NXOpen.Edge edge, int index)
 Remove variable radius data on an edge by the index into the point array on the edge More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AllInstancesOption [get, set]
 Returns or sets the blend all instances option More...
 
unsafe
NXOpen.Features.EdgeBlendBuilder.FaceContinuity 
BlendFaceContinuity [get, set]
 Returns or sets the Blend Face Continuity option More...
 
unsafe
NXOpen.Features.EdgeBlendBuilder.OrderOfBlending 
BlendOrder [get, set]
 Returns or sets the order of blending for edge blend More...
 
unsafe NXOpen.ScCollector CliffEdges [get, set]
 Returns or sets the forced cliff edges for edge blend More...
 
unsafe bool ConvexConcaveY [get, set]
 Returns or sets the Special blend at convex / concave Y option More...
 
unsafe bool LimitFailingAreas [get, set]
 Returns or sets the Limit Failing Areas option More...
 
unsafe
NXOpen.GeometricUtilities.BlendLimitsData 
LimitsListData [get]
 Returns the limits list More...
 
unsafe bool MoveSharpEdge [get, set]
 Returns or sets the Maintain blend and move sharp edges option More...
 
unsafe NXOpen.ScCollector NonCliffEdges [get, set]
 Returns or sets the prohibited cliff edges for edge blend More...
 
unsafe
NXOpen.Features.EdgeBlendBuilder.Overlap 
OverlapOption [get, set]
 Returns or sets the overlap resolution for edge blend More...
 
unsafe bool PatchComplexGeometryAreas [get, set]
 Returns or sets the Patch Areas option More...
 
unsafe bool RemoveSelfIntersection [get, set]
 Returns or sets the Remove self-intersection option More...
 
unsafe bool RollOntoEdge [get, set]
 Returns or sets the Roll onto edges option More...
 
unsafe bool RollOverSmoothEdge [get, set]
 Returns or sets the Roll over smooth edges option More...
 
unsafe bool SegmentBlendFaces [get, set]
 Returns or sets the Segment blend to match face segments option More...
 
unsafe
NXOpen.Features.EdgeBlendBuilder.Setback 
SetbackOption [get, set]
 Returns or sets the setback option for edge blend More...
 
unsafe double Tolerance [get, set]
 Returns or sets the tolerance of a variable blend More...
 
unsafe bool TrimmingOption [get, set]
 Returns or sets the trimming option More...
 
unsafe bool ZeroSlopeRadiusFunctionAtChainEnds [get, set]
 Returns or sets the zero slope radius function at chain ends option More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Edge Blend builder.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateEdgeBlendBuilder

Default values.

Property Value

TrimmingOption

False

Created in NX4.0.0

Member Enumeration Documentation

This enum represents the Conic option

Enumerator
BoundaryPlusCenter 
BoundaryPlusRho 
CenterPlusRho 

The Blend Face Continuity

Enumerator
Tangent 
Curvature 

This enum represents the order of Blending

Enumerator
ConvexFirst 

Convex first

ConcaveFirst 

Concave first

This enum represents the Overlap resolution options for Edge Blend

Enumerator
MaintainAndIntersect 

Maintain Blend and Intersect

DifferentConvexityRollOver 

If different convexity,roll over

AnyConvexityRollOver 

Any convexity,roll over

This enum represents the rho type for conic section blend

Enumerator
Relative 
Absolute 

This enum represents the Section option

Enumerator
Circular 

Default option, circular shaped blends

Conic 

Conical shaped blends

This enum represents the Setback option

Enumerator
IncludeWithCorner 

Include with corner

SeparateFromCorner 

Separate from corner

Member Function Documentation

unsafe int NXOpen.Features.EdgeBlendBuilder.AddChainset ( NXOpen.ScCollector  collector,
string  radius 
)
inline

Add an edge blend chainset to the edge blend

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
collectorThe collector for this edge blend chainset
radiusThe radius of this chain set collector
Returns
Index of chainset, indicating which chainset we are dealing with
unsafe int NXOpen.Features.EdgeBlendBuilder.AddChainset ( NXOpen.ScCollector  collector,
NXOpen.Features.EdgeBlendBuilder.Section  sectionType,
NXOpen.Features.EdgeBlendBuilder.Conic  conicMethod,
NXOpen.Features.EdgeBlendBuilder.Rhotype  rhoType,
string  radius,
string  center,
string  rho 
)
inline

Add an edge blend chainset to the edge blend

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
collectorThe collector for this edge blend chainset
sectionTypeShape specifier for this chainset
conicMethodShape subtype specifier for this chainset
rhoTyperho type for this chain set
radiusThe radius of this chain set collector
centerThe conic center value of this chain set collector if type is Conic
rhoThe conic rho value of this chain set collector if type is Conic
Returns
Index of chainset, indicating which chainset we are dealing with
unsafe void NXOpen.Features.EdgeBlendBuilder.AddEdgeChainData ( NXOpen.Edge[]  edgeArray,
bool[]  edgeAlongChainDirectionArray,
bool  isChainClosed,
bool  isChainPartOfNetwork 
)
inline

Add an edge blend edge chain data to the edge blend

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeArrayArray of edges that are used by the edge chain
edgeAlongChainDirectionArrayArray of chain edge along chain direction flags
isChainClosedis the edge chain closed or not
isChainPartOfNetworkis the edge chain part of chain network (junction) or not
unsafe int NXOpen.Features.EdgeBlendBuilder.AddNewStopshortData ( NXOpen.GeometricUtilities.BlendStopshortBuilder  builder)
inline

Add an edge blend stop short data for an edge in the edge blend

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
builderthe Stopshort Data
Returns
Index of where stop short data item is created.
unsafe void NXOpen.Features.EdgeBlendBuilder.AddPointOnEdgeChainData ( NXOpen.Edge[]  edgeArray,
double  parameterOnChain,
bool  isArclength,
double  radius,
double  centerValue,
double  rhoValue,
NXOpen.Point  smartPoint,
bool  isExternal 
)
inline

Add a point on edge chain data to the edge blend

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeArrayArray of edges that are used by the edge chain
parameterOnChainThe variable radius point parameter along the chain. If isArcLength is false, this value is a percentage value
isArclengthFlag indicating whether parameter is arclength or percentage arclength
radiusThe radius at this point on the edge.
centerValueThe conic center value at this point on the edge.
rhoValueThe conic rho value at this point on the edge.
smartPointSmart Point defining the location of this variable radius
isExternalFlag indicating whether this point is external to blend
unsafe int NXOpen.Features.EdgeBlendBuilder.AddSetbackData ( NXOpen.Edge[]  edgeArray,
bool[]  fromStart,
string[]  distance 
)
inline

Add an edge blend setback data for an edge in the edge blend

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeArrayArray of Edge collector tags that are used by the setback
fromStartif true, then the setback is defined at the start vertex. Otherwise, it is defined at the end vertex. There is one for each input edge.
distanceArray of distances
Returns
Index of where setback data item is created.
unsafe int NXOpen.Features.EdgeBlendBuilder.AddStopshortData ( NXOpen.Edge  edge,
bool  fromStart,
string  distance 
)
inline

Add an edge blend stop short data for an edge in the edge blend

Created in NX4.0.0

Deprecated in NX5.0.0. Use Features.EdgeBlendBuilder.AddNewStopshortData instead.

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
fromStartif true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex.
distanceThe distance for the stopshort on the edge.
Returns
Index of where stop short data item is created.
unsafe int NXOpen.Features.EdgeBlendBuilder.AddVariablePointData ( NXOpen.Edge  edge,
string  parameter,
string  radius,
string  centerValue,
string  rhoValue,
NXOpen.Point  smartPoint,
bool  isExternal,
bool  isArclength 
)
inline

Add an edge blend variable radius data for an edge in the edge blend

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
centerValueThe conic center value at this point on the edge.
rhoValueThe conic rho value at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
isArclengthFlag indicating whether parameter is arclength or not
Returns
Index of where variable radius data item is created
unsafe int NXOpen.Features.EdgeBlendBuilder.AddVariableRadiusData ( NXOpen.Edge  edge,
double  parameter,
string  radius,
NXOpen.Point  smartPoint,
bool  isExternal 
)
inline

Add an edge blend variable radius data for an edge in the edge blend

Created in NX4.0.0

Deprecated in NX6.0.0. Use Features.EdgeBlendBuilder.AddVariableRadiusDataNew instead.

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
Returns
Index of where variable radius data item is created
unsafe int NXOpen.Features.EdgeBlendBuilder.AddVariableRadiusDataNew ( NXOpen.Edge  edge,
string  parameter,
string  radius,
NXOpen.Point  smartPoint,
bool  isExternal 
)
inline

Add an edge blend variable radius data for an edge in the edge blend * Note: This ja will always create arclength parameter

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
Returns
Index of where variable radius data item is created
unsafe int NXOpen.Features.EdgeBlendBuilder.AddVariableRadiusDataNew ( NXOpen.Edge  edge,
string  parameter,
string  radius,
NXOpen.Point  smartPoint,
bool  isExternal,
bool  isArclength 
)
inline

Add an edge blend variable radius data for an edge in the edge blend

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
isArclengthFlag indicating whether parameter is arclength or not
Returns
Index of where variable radius data item is created
unsafe void NXOpen.Features.EdgeBlendBuilder.EditVariablePointData ( NXOpen.Edge  edge,
int  vrIndex,
string  parameter,
string  radius,
string  centerValue,
string  rhoValue,
NXOpen.Point  smartPoint,
bool  isExternal,
bool  isArclength 
)
inline

Edit an edge blend variable radius data for an edge in the edge blend

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
vrIndexIndex of what variable radius data item to edit
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
centerValueThe conic center value at this point on the edge.
rhoValueThe conic center value at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
isArclengthFlag indicating whether the parameter is arclength or not
unsafe void NXOpen.Features.EdgeBlendBuilder.EditVariableRadiusData ( NXOpen.Edge  edge,
int  vrIndex,
double  parameter,
string  radius,
NXOpen.Point  smartPoint,
bool  isExternal 
)
inline

Edit an edge blend variable radius data for an edge in the edge blend

Created in NX4.0.0

Deprecated in NX6.0.0. Use Features.EdgeBlendBuilder.EditVariableRadiusDataNew instead.

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
vrIndexIndex of what variable radius data item to edit
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
unsafe void NXOpen.Features.EdgeBlendBuilder.EditVariableRadiusDataNew ( NXOpen.Edge  edge,
int  vrIndex,
string  parameter,
string  radius,
NXOpen.Point  smartPoint,
bool  isExternal 
)
inline

Edit an edge blend variable radius data for an edge in the edge blend

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
vrIndexIndex of what variable radius data item to edit
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
unsafe void NXOpen.Features.EdgeBlendBuilder.EditVariableRadiusDataNew ( NXOpen.Edge  edge,
int  vrIndex,
string  parameter,
string  radius,
NXOpen.Point  smartPoint,
bool  isExternal,
bool  isArclength 
)
inline

Edit an edge blend variable radius data for an edge in the edge blend

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
vrIndexIndex of what variable radius data item to edit
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
isArclengthFlag indicating whether the parameter is arclength or not
unsafe void NXOpen.Features.EdgeBlendBuilder.GetChainset ( int  csIndex,
out NXOpen.ScCollector  collector,
out NXOpen.Expression  radius 
)
inline

Get collector and radius for an edge blend chainset given the index of the chainset

Created in NX4.0.0

License requirements: None.

Parameters
csIndexIndex of chainset, indicating which chainset we are dealing with
collectorThe collector for this edge blend chainset
radiusThe radius of this chain set collector
unsafe void NXOpen.Features.EdgeBlendBuilder.GetChainsetAndSectionValue ( int  csIndex,
out NXOpen.ScCollector  collector,
out NXOpen.Features.EdgeBlendBuilder.Section  sectionType,
out NXOpen.Features.EdgeBlendBuilder.Conic  conicMethod,
out NXOpen.Features.EdgeBlendBuilder.Rhotype  rhoType,
out NXOpen.Expression  radius,
out NXOpen.Expression  centerValueTAG,
out NXOpen.Expression  rhoValueTAG 
)
inline

Get collector, radius and section types for an edge blend chainset given the index of the chainset

Created in NX10.0.3

License requirements: None.

Parameters
csIndexIndex of chainset
collectorThe collector for this edge blend chainset
sectionTypeThe section type of this chain set collector
conicMethodThe conic method of this chain set collector
rhoTypeThe rho type of this chain set collector
radiusThe radius of this chain set collector
centerValueTAGThe conic center value expression of this chain set collector
rhoValueTAGThe conic rho value expression of this chain set collector
unsafe void NXOpen.Features.EdgeBlendBuilder.GetChainsetAndStatus ( int  csIndex,
out NXOpen.ScCollector  collector,
out NXOpen.Expression  radius,
out bool  isValid 
)
inline

Get collector, radius and validity status for an edge blend chainset given the index of the chainset

Created in NX5.0.0

License requirements: None.

Parameters
csIndexIndex of chainset
collectorThe collector for this edge blend chainset
radiusThe radius of this chain set collector
isValidIs the chainset alive/valid ?
unsafe int NXOpen.Features.EdgeBlendBuilder.GetChainsetIndex ( NXOpen.ScCollector  collector)
inline

Get the index of edge blend chainset given the collector

Created in NX4.0.0

License requirements: None.

Parameters
collectorThe collector for this edge blend chainset
Returns
Index of chainset, indicating which chainset we are dealing with
unsafe NXOpen.GeometricUtilities.BlendStopshortBuilder NXOpen.Features.EdgeBlendBuilder.GetNewStopshortData ( int  ssIndex)
inline

Get an edge blend stop short data for the index provided

Created in NX5.0.0

License requirements: None.

Parameters
ssIndexIndex of where stop short data item is created
Returns
the Stopshort Data
unsafe int NXOpen.Features.EdgeBlendBuilder.GetNumberOfValidChainsets ( )
inline

Get the number of valid chainsets

Created in NX5.0.0

License requirements: None.

Returns
Number of valid chainsets
unsafe int NXOpen.Features.EdgeBlendBuilder.GetNumberOfValidSetbackData ( )
inline

Get the number of valid setback data

Created in NX1847.0.0

License requirements: None.

Returns
Number of valid setback data
unsafe NXOpen.Edge [] NXOpen.Features.EdgeBlendBuilder.GetSetbackData ( int  sbIndex,
out bool[]  fromStart,
out NXOpen.Expression[]  distanceExp 
)
inline

Get an edge blend setback data for the index provided

Created in NX4.0.0

License requirements: None.

Parameters
sbIndexIndex of where setback data item was created.
Returns
Array of Edge collector tags that are used by the setback
Parameters
fromStartif true, then the setback is defined at the start vertex. Otherwise, it is defined at the end vertex. There is one for each output edge.
distanceExpThe distance for the setback on each edge.
unsafe NXOpen.Expression NXOpen.Features.EdgeBlendBuilder.GetStopshortData ( int  ssIndex,
out NXOpen.Edge  edge,
out bool  fromStart 
)
inline

Get an edge blend stop short data for the index provided

Created in NX4.0.0

Deprecated in NX5.0.0. Use Features.EdgeBlendBuilder.GetNewStopshortData instead.

License requirements: None.

Parameters
ssIndexIndex of where stop short data item is created.
edgeEdge the stop short data is on.
fromStartif true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex.
Returns
The distance for the stopshort on the edge.
unsafe double [] NXOpen.Features.EdgeBlendBuilder.GetVariableRadiusData ( NXOpen.Edge  edge,
out NXOpen.Expression[]  radiiExp,
out NXOpen.Point[]  smartPoints,
out bool[]  isExternalFlagArray 
)
inline

Get all the variable radii data for an edge in the edge blend

Created in NX4.0.0

Deprecated in NX6.0.0. Use Features.EdgeBlendBuilder.GetVariableRadiusDataNew instead.

License requirements: None.

Parameters
edgeEdge to get all the varible radius data on
Returns
Parameter locations of points on the edge
Parameters
radiiExpThe radius value of each point on the edge
smartPointsArray of smart points defining variable radius
isExternalFlagArrayCorresponding is_external flags of the variable radius points
unsafe void NXOpen.Features.EdgeBlendBuilder.GetVariableRadiusDataNew ( NXOpen.Edge  edge,
out NXOpen.Expression[]  parameterExp,
out NXOpen.Expression[]  radiiExp,
out NXOpen.Point[]  smartPoints,
out bool[]  isExternalFlagArray 
)
inline

Get all the variable radii data for an edge in the edge blend

Created in NX6.0.0

License requirements: None.

Parameters
edgeEdge to get all the varible radius data on
parameterExpParameter value of points on the edge
radiiExpThe radius value of each point on the edge
smartPointsArray of smart points defining variable radius
isExternalFlagArrayCorresponding is_external flags of the variable radius points
unsafe void NXOpen.Features.EdgeBlendBuilder.RemoveChainset ( int  csIndex)
inline

Delete an edge blend chainset from the edge blend.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
csIndexIndex of chainset, indicating which chainset we are dealing with
unsafe void NXOpen.Features.EdgeBlendBuilder.RemoveChainsetByCollector ( NXOpen.ScCollector  collector)
inline

Delete an edge blend chainset from the edge blend.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
collectorThe collector for this edge blend chainset
unsafe void NXOpen.Features.EdgeBlendBuilder.RemoveEdgeChainAndPointOnEdgeChainData ( )
inline

Remove all existing edge chain data and point on edge chain data

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.Features.EdgeBlendBuilder.RemoveNewStopshortData ( NXOpen.GeometricUtilities.BlendStopshortBuilder  builder)
inline

Remove an edge blend stop short corresponding to a BlendStopshortBuilder

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
builderthe Stopshort Data
unsafe void NXOpen.Features.EdgeBlendBuilder.RemoveSetbackData ( int  sbIndex)
inline

Remove an edge blend setback data for an edge in the edge blend

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
sbIndexIndex of where setback data item was created
unsafe void NXOpen.Features.EdgeBlendBuilder.RemoveStopshortData ( NXOpen.Edge  edge,
bool  fromStart 
)
inline

Remove an edge blend stop short data for an edge

Created in NX4.0.0

Deprecated in NX5.0.0. Use Features.EdgeBlendBuilder.RemoveNewStopshortData instead.

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to remove the stopshort on
fromStartif true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex.
unsafe void NXOpen.Features.EdgeBlendBuilder.RemoveStopshortData ( int  ssIndex)
inline

Remove an edge blend stop short data for the index indicated

Created in NX4.0.0

Deprecated in NX5.0.0. Use Features.EdgeBlendBuilder.RemoveNewStopshortData instead.

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
ssIndexIndex of where stop short data item is created.
unsafe void NXOpen.Features.EdgeBlendBuilder.RemoveStopshortDataByType ( NXOpen.Edge  edge,
bool  fromStart,
NXOpen.GeometricUtilities.BlendStopshortBuilder.Choices  type 
)
inline

Remove the stop short from an edge, given its type and location

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to remove the stopshort on
fromStartif true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex.
typethe type of the stopshort
unsafe void NXOpen.Features.EdgeBlendBuilder.RemoveVariableRadiusData ( NXOpen.Edge  edge,
double  parameter 
)
inline

Remove variable radius data on an edge by the parameter value of the point on the edge

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
parameterParameter location of point on the edge
unsafe void NXOpen.Features.EdgeBlendBuilder.RemoveVariableRadiusData ( NXOpen.Edge  edge)
inline

Remove all variable radius datas on an edge

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to remove all variable radius datas from
unsafe void NXOpen.Features.EdgeBlendBuilder.RemoveVariableRadiusDataByIndex ( NXOpen.Edge  edge,
int  index 
)
inline

Remove variable radius data on an edge by the index into the point array on the edge

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to remove variable radius data on
indexIndex into point array on the edge

Property Documentation

unsafe bool NXOpen.Features.EdgeBlendBuilder.AllInstancesOption
getset

Returns or sets the blend all instances option

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.EdgeBlendBuilder.FaceContinuity NXOpen.Features.EdgeBlendBuilder.BlendFaceContinuity
getset

Returns or sets the Blend Face Continuity option

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.EdgeBlendBuilder.OrderOfBlending NXOpen.Features.EdgeBlendBuilder.BlendOrder
getset

Returns or sets the order of blending for edge blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.EdgeBlendBuilder.CliffEdges
getset

Returns or sets the forced cliff edges for edge blend

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.EdgeBlendBuilder.ConvexConcaveY
getset

Returns or sets the Special blend at convex / concave Y option

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.EdgeBlendBuilder.LimitFailingAreas
getset

Returns or sets the Limit Failing Areas option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.BlendLimitsData NXOpen.Features.EdgeBlendBuilder.LimitsListData
get

Returns the limits list

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.Features.EdgeBlendBuilder.MoveSharpEdge
getset

Returns or sets the Maintain blend and move sharp edges option

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.EdgeBlendBuilder.NonCliffEdges
getset

Returns or sets the prohibited cliff edges for edge blend

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.EdgeBlendBuilder.Overlap NXOpen.Features.EdgeBlendBuilder.OverlapOption
getset

Returns or sets the overlap resolution for edge blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.EdgeBlendBuilder.PatchComplexGeometryAreas
getset

Returns or sets the Patch Areas option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.EdgeBlendBuilder.RemoveSelfIntersection
getset

Returns or sets the Remove self-intersection option

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.EdgeBlendBuilder.RollOntoEdge
getset

Returns or sets the Roll onto edges option

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.EdgeBlendBuilder.RollOverSmoothEdge
getset

Returns or sets the Roll over smooth edges option

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.EdgeBlendBuilder.SegmentBlendFaces
getset

Returns or sets the Segment blend to match face segments option

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.EdgeBlendBuilder.Setback NXOpen.Features.EdgeBlendBuilder.SetbackOption
getset

Returns or sets the setback option for edge blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.EdgeBlendBuilder.Tolerance
getset

Returns or sets the tolerance of a variable blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.EdgeBlendBuilder.TrimmingOption
getset

Returns or sets the trimming option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.EdgeBlendBuilder.ZeroSlopeRadiusFunctionAtChainEnds
getset

Returns or sets the zero slope radius function at chain ends option

Created in NX10.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.